## criterion 2.3.3git1

=== meson_options.txt ===
option('tests', type: 'boolean', value: true)
option('dev',   type: 'boolean', value: false)
option('samples', type: 'boolean', value: true)

option('cxx-support', type: 'feature', value: 'auto')
option('i18n',        type: 'feature', value: 'auto')
option('theories',    type: 'feature', value: 'enabled')
option('diffs',       type: 'feature', value: 'enabled')

# Platform-specific workarounds
option('mingw-define-off_t', type: 'boolean', value: false)

=== debian/changelog ===
criterion (2.3.3git1-1) unstable; urgency=medium

  * [0e26bad] import criterion_2.3.3git1 Closes: #969059
  * [16086e7] Added dependency debugbreak
  * [37b9efd] Added required files from the klib dependency
  * [cfea31d] Finalize debianization

 -- SZALAY Attila <sasa@debian.org>  Wed, 26 Aug 2020 22:33:50 +0200

=== debian/control ===
Source: criterion
Section: devel
Priority: optional
Maintainer: SZALAY Attila <sasa@debian.org>
Standards-Version: 4.3.0
Vcs-Browser: https://github.com/mochrul/Criterion-debian
Vcs-Git: https://github.com/mochrul/Criterion-debian.git
HomePage: https://github.com/Snaipe/Criterion
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               meson,
               cmake,
               libboxfort-dev,
               libnanomsg-dev,
               libnanopb-dev,
               nanopb,
               libgit2-dev,
               libffi-dev,
               protobuf-compiler,
               python3-protobuf,
               gettext

Package: libcriterion3
Section: libs
Architecture: amd64 arm64 i386
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cross-platform C and C++ unit testing framework
 Most test frameworks for C require a lot of boilerplate code to set up
 tests and test suites -- you need to create a main, then register new test
 suites, then register the tests within these suits, and finally call the
 right functions.
 .
 This gives the user great control, at the unfortunate cost of simplicity.
 .
 Criterion follows the KISS principle, while keeping the control the user
 would have with other frameworks:
 .
 ￼* C99 and C++11 compatible.
 ￼* Tests are automatically registered when declared.
 ￼* Implements a xUnit framework structure.
 ￼* A default entry point is provided, no need to declare a main unless you
    want to do special handling.
 ￼* Test are isolated in their own process, crashes and signals can be
    reported and tested.
 ￼* Unified interface between C and C++: include the criterion header and it
    just works.
 ￼* Supports parameterized tests and theories.
 ￼* Progress and statistics can be followed in real time with report hooks.
 ￼* TAP output format can be enabled with an option.
 ￼* Runs on Linux, FreeBSD, Mac OS X, and Windows (Compiling with MinGW GCC
    and Visual Studio 2015+).
 .
 This package contains the runtime library of the package

Package: libcriterion-dev
Section: libdevel
Architecture: amd64 arm64 i386
Multi-Arch: same
Depends: ${misc:Depends}, pkg-config, libcriterion3 (= ${binary:Version}), libboxfort-dev, libffi-dev, libgit2-dev, libnanomsg-dev
Description: cross-platform C and C++ unit testing framework (development files)
 Most test frameworks for C require a lot of boilerplate code to set up
 tests and test suites -- you need to create a main, then register new test
 suites, then register the tests within these suits, and finally call the
 right functions.
 .
 This gives the user great control, at the unfortunate cost of simplicity.
 .
 Criterion follows the KISS principle, while keeping the control the user
 would have with other frameworks:
 .
 ￼* C99 and C++11 compatible.
 ￼* Tests are automatically registered when declared.
 ￼* Implements a xUnit framework structure.
 ￼* A default entry point is provided, no need to declare a main unless you
    want to do special handling.
 ￼* Test are isolated in their own process, crashes and signals can be
    reported and tested.
 ￼* Unified interface between C and C++: include the criterion header and it
    just works.
 ￼* Supports parameterized tests and theories.
 ￼* Progress and statistics can be followed in real time with report hooks.
 ￼* TAP output format can be enabled with an option.
 ￼* Runs on Linux, FreeBSD, Mac OS X, and Windows (Compiling with MinGW GCC
    and Visual Studio 2015+).
 .
 This package contains the headers needed to compile other packages against
 the criterion library

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/criterion-$1\.tar\.gz/ \
  https://github.com/Snaipe/Criterion/tags .*/v?(\d\S+)\.tar\.gz

## criterion 2.4.0-rc-18

=== meson_options.txt ===
--- 
+++ 
@@ -9,3 +9,6 @@
 
 # Platform-specific workarounds
 option('mingw-define-off_t', type: 'boolean', value: false)
+
+option('rpath-in-pkgconfig', type: 'feature', value: 'auto',
+       description: 'Sets RPATH for users in the Criterion pkg-config file')

=== dev/cmake/test/CMakeLists.txt ===
add_executable (foo_test test.c)

target_link_libraries (foo_test foo ${CRITERION_LIBRARIES})

# use C99
set_property (TARGET foo_test PROPERTY C_STANDARD 99)

# Enable a few warnings
if (CMAKE_COMPILER_IS_GNUCC)
  target_compile_options (foo_test PRIVATE -Wall -Wextra)
endif (CMAKE_COMPILER_IS_GNUCC)
if (MSVC)
  target_compile_options (foo_test PRIVATE /W4)
endif (MSVC)

add_test (foo_test foo_test)

## criterion 2.4.0-rc-18-g1cc3911

=== debian/changelog ===
criterion (2.4.0-rc-18-g1cc3911-1) unstable; urgency=medium

  [ Attila Szalay ]
  * Enable pristine-tar for import-orig
  * New upstream version 2.4.0-rc-18-g1cc3911
  * Removed patches already applied upstream
  * Set the required minimum libboxfort package version

 -- SZALAY Attila <sasa@debian.org>  Tue, 15 Feb 2022 08:14:49 +0000

criterion (2.3.3git1-2) unstable; urgency=medium

  [ SZALAY Attila ]
  * Change debian branch name to align with DEP-14
  * Fix gbp.conf, the package does not require overlay config
  * Fix build with GCC 11.
    Thanks to Matthias Klose <doko@ubuntu.com> (Closes: #994237, #984025)
  * Fix vcs headers in control file

 -- SZALAY Attila <sasa@debian.org>  Sun, 05 Dec 2021 12:23:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: SZALAY Attila <sasa@debian.org>
 Standards-Version: 4.3.0
-Vcs-Browser: https://github.com/mochrul/Criterion-debian
-Vcs-Git: https://github.com/mochrul/Criterion-debian.git
+Vcs-Browser: https://salsa.debian.org/sasa/criterion
+Vcs-Git: https://salsa.debian.org/sasa/criterion.git
 HomePage: https://github.com/Snaipe/Criterion
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                meson,
                cmake,
-               libboxfort-dev,
+               libboxfort-dev (>= 0.1.2-2),
                libnanomsg-dev,
                libnanopb-dev,
                nanopb,

## criterion 2.4.1

=== dev/cmake/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1.0)

project (Sample C)

# Add ./cmake to the module path
list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

option (ENABLE_TESTS "Build tests along with the library" ON)

# Add interface to include dirs
include_directories ("${CMAKE_CURRENT_SOURCE_DIR}/include")

# Add sources
add_subdirectory (src)

if (ENABLE_TESTS)
  # Check for criterion
  find_package (Criterion REQUIRED)

  # Add tests
  enable_testing ()
  add_subdirectory (test)
endif ()

=== dev/cmake/src/CMakeLists.txt ===
set (SOURCES
  foo.c
)

add_library (foo ${SOURCES})

# use C99
set_property(TARGET foo PROPERTY C_STANDARD 99)

# Enable a few warnings
if (CMAKE_COMPILER_IS_GNUCC)
  target_compile_options(foo PRIVATE -Wall -Wextra)
endif (CMAKE_COMPILER_IS_GNUCC)
if (MSVC)
  target_compile_options(foo PRIVATE /W4)
endif (MSVC)

=== debian/changelog ===
criterion (2.4.1-2build4) plucky; urgency=medium

  * No-change rebuild against libgit2 1.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 23:56:45 -0600

criterion (2.4.1-2build3) plucky; urgency=medium

  * Rebuild against latest libgit2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 12:34:33 -0500

criterion (2.4.1-2build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:44:59 +0200

criterion (2.4.1-2build1) noble; urgency=medium

  * Rebuild against 'new libgit2-1.7'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Dec 2023 09:34:23 +0100

criterion (2.4.1-2) unstable; urgency=medium

  [ Attila Szalay ]
  * Adapt to the new nanopb version 0.4.7.
    Thanks to Balazs Scheidler <bazsi77@gmail.com> (Closes: #1026762)

 -- SZALAY Attila <sasa@debian.org>  Sat, 04 Feb 2023 14:09:25 +0000

criterion (2.4.1-1) unstable; urgency=medium

  [ Attila Szalay ]
  * Fixed handling of upstream rc releases
  * New upstream version 2.4.1 Closes: #1009017

 -- SZALAY Attila <sasa@debian.org>  Mon, 02 May 2022 10:26:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: criterion
 Section: devel
 Priority: optional
-Maintainer: SZALAY Attila <sasa@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: SZALAY Attila <sasa@debian.org>
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/sasa/criterion
 Vcs-Git: https://salsa.debian.org/sasa/criterion.git

=== debian/tests/control ===
Tests: build
Depends: libcriterion-dev, build-essential
Restrictions: superficial
